> For the complete documentation index, see [llms.txt](https://docs.guardianservice.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/integrating-3rd-party-data-resources/supported-global-forest-watch-api-methods/getdatasetbyid.md).

# getDatasetById

<mark style="color:green;">`GET`</mark> `/dataset/{dataset}`

Get basic metadata and available versions for a given dataset.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name    | Type   | Description |
| ------- | ------ | ----------- |
| Dataset | string | Dataset     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "data": {
    "created_on": "2019-08-24T14:15:22Z",
    "updated_on": "2019-08-24T14:15:22Z",
    "dataset": "string",
    "is_downloadable": true,
    "metadata": {
      "title": "Deforestation alerts (GLAD-S2)",
      "subtitle": "Sentinel-2 based deforestation alerts",
      "source": "Global Land Analysis and Discovery (GLAD), University of Maryland",
      "license": "[CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)",
      "data_language": "en",
      "overview": "This data set is a forest loss alert product developed by the Global Land Analysis and Discovery lab at the University of Maryland.", 
      "function": "Identifies areas of primary forest loss  in near real time using Sentinel-2 imagery",
      "citation": "Pickens, A.H., Hansen, M.C., Adusei, B., and Potapov P. 2020. Sentinel-2 Forest Loss Alert. Global Land Analysis and Discovery (GLAD), University of Maryland.",
      "cautions": "Results are masked to only within the primary forest mask.", 
      "tags": [
        "Forest Change"
      ],
      "learn_more": "https://glad.earthengine.app/view/s2-forest-alerts"
    },
    "versions": []
  },
  "status": "success"
}
```

{% endtab %}

{% tab title="422" %}

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/integrating-3rd-party-data-resources/supported-global-forest-watch-api-methods/getdatasetbyid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
